
function levelload()

require("game/levels/changelevel_alienzone")
	require("game/levels/extras/loadlevelmusic")
	require("game/levels/extras/loadlevelsounds")
	require("game/levels/extras/loadlevelassets")
	require("game/levels/extras/loadsubtitles")
	require("game/levels/extras/loadvoices")
	require("game/levels/extras/loadleveltitle")

thumb=thumb1

levelmap= love.graphics.newImage("/assets/levels/levelselection.png")
sphere= love.graphics.newImage("/assets/levels/sphere.png")

			if language=="es" then exittext="Finalizar" musictext="Musica" optionstext="Opciones" creditstext="Creditos" leditortext="Level editor" extrastext="Extras"
		elseif language=="de" then exittext="Beenden" musictext="Musik" optionstext="Einstellungen" creditstext="Credits" leditortext="Level editor" extrastext="Extras"
		elseif language=="en" then exittext="Exit"  musictext="Music" optionstext="Options" creditstext="Credits" leditortext="Level editor" extrastext="Extras"
		elseif language=="jp" then exittext="出口" musictext="音楽プレーヤー" optionstext="オプション" creditstext="修得" leditortext="レベルエディタ" extrastext="エキストラ" poorfishmiddle = love.graphics.newFont("externalassets/fonts/MT_Tare/MT_TARE.ttf", 64)
		elseif language=="chi" then exittext="退出" musictext="音乐播放器" optionstext="选项" creditstext="信用额度" leditortext="关卡编辑器" extrastext="额外" poorfishmiddle = love.graphics.newFont("externalassets/fonts/BabelStoneHan/BabelStoneHan.ttf", 64)
		elseif language=="thai" then exittext="ทางออก" musictext="เครื่องเล่นเพลง" optionstext="ตัวเลือก" creditstext="เครดิต" leditortext="แก้ไขระดับ" extrastext="ความพิเศษ" poorfishmiddle = love.graphics.newFont("externalassets/fonts/thsarabun-new/THSarabunNew001.ttf", 64)
		elseif language=="tamil" then exittext="வெளியேற" musictext="இசைப்பான்" optionstext="ตัวเลือก" creditstext="வரவுகள்" leditortext="நிலை ஆசிரியர்" extrastext="கூடுதல்" poorfishmiddle = love.graphics.newFont("externalassets/fonts/neythal/neythal-regular.ttf", 64)
		elseif language=="hindi" then exittext="बाहर निकलन" musictext="संगीत बजाने वाला" optionstext="विकल्प" creditstext="क्रेडिट" leditortext="स्तर संपादक" extrastext="एक्स्ट्रा कलाकार" poorfishmiddle = love.graphics.newFont("externalassets/fonts/marathi/Marathi_Tirkas.ttf", 34)
		end

--buttons

exitButton = {
text = exittext,
	x = 1000,
	y = 10, 
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfish,
}

musicButton = {
text = musictext,
	x = 100,
	y = 10, 
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfish,
}

creditsButton = {
text = creditstext,
	x = 100,
	y = 700, 
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfish,
}

optionsButton = {
text = optionstext,
	x = 900,
	y = 700, 
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfish,
}

leditorButton = {
text = leditortext,
	x = 1500,
	y = 10, 
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

extrasButton = {
text = extrastext,
	x = 1500,
	y = 100, 
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

require("assets/text/alienworld/alienworld-en")
end

function levelbutton()
	
end

function levelupdate(dt)
	  
end

function drawfishhousesphere(x,y)
love.graphics.setFont(poorfishsmall)
				love.graphics.print (zonetext[1],500, 850,0,1) 
				love.graphics.setFont(poorfishmiddle)
				love.graphics.print ((y-1) .. '.' ..alienworld0[y-1],500, 900,0,1)
				love.graphics.setFont(poorfishsmall)
				love.graphics.setColor(0.5,0.5,0)
				love.graphics.circle("line",(-25+x*50),(-25+y*50),20+subbeat*20)
				love.graphics.setColor(1,1,1)
end
	function drawshipwreckssphere(x,y)
	love.graphics.setFont(poorfishsmall)
	love.graphics.print (zonetext[2],500, 850,0,1) 
	love.graphics.setFont(poorfishmiddle)
	love.graphics.print ((x-5) .. '.' ..shipwrecks1[x-13], 500, 900,0,1)
	love.graphics.setFont(poorfishsmall)
              love.graphics.setColor(0.5,0.5,0)
              love.graphics.circle("line",(-25+x*50),(-25+y*50),20+subbeat*20)
              love.graphics.setColor(1,1,0)			-- highlight level under cursor
            love.graphics.draw(sphere,(-50+x*50),(-50+y*50),0,0.1)
            love.graphics.setColor(1,1,1)
            love.graphics.print (' '..x-5, (x-1)*tileSize, (y-1)*tileSize,0,1)
	end
	
	function drawsilvershipsphere(x,y)
	love.graphics.setFont(poorfishsmall)
	love.graphics.print (zonetext[3],500, 850,0,1) 
	love.graphics.setFont(poorfishmiddle)
	love.graphics.print ((x+31) .. '.' ..silversship2[x-13], 500, 900,0,1)
		love.graphics.setFont(poorfishsmall)
	     love.graphics.setColor(0.5,0.5,0)
              love.graphics.circle("line",(-25+x*50),(-25+y*50),20+subbeat*20)
	love.graphics.setColor(1,1,0)			-- highlight level under cursor
            love.graphics.draw(sphere,(-50+x*50),(-50+y*50),0,0.1)
            love.graphics.setColor(1,1,1)
            love.graphics.print (' '..x+31, (x-1)*tileSize, (y-1)*tileSize,0,1.2)
	 end
	function drawcitydeepsphere(x,y)
	love.graphics.setFont(poorfishsmall)
	love.graphics.print (zonetext[4],500, 850,0,1) 
	love.graphics.setFont(poorfishmiddle)
	love.graphics.print ((-x+32) .. '.' ..cityinthedeep3[(-x+13)], 500, 900,0,1)
	love.graphics.setFont(poorfishsmall)
	     love.graphics.setColor(0.5,0.5,0)
              love.graphics.circle("line",(-25+x*50),(-25+y*50),20+subbeat*20)
	love.graphics.setColor(1,1,0)			-- highlight level under cursor
            love.graphics.draw(sphere,(-50+x*50),(-50+y*50),0,0.1)
            love.graphics.setColor(1,1,1)
            love.graphics.print (' '..-x+32, (x-1)*tileSize, (y-1)*tileSize,0,1.1)
	 end
	 
	 function drawufosphere(x,y)
	love.graphics.setFont(poorfishsmall)
	love.graphics.print (zonetext[5],500, 850,0,1) 
		love.graphics.setFont(poorfishmiddle)
	love.graphics.print ((-x+64) .. '.' ..ufo4[(-x+13)], 500, 900,0,1)
		love.graphics.setFont(poorfishsmall)
			  love.graphics.setColor(0.5,0.5,0)
              love.graphics.circle("line",(-25+x*50),(-25+y*50),20+subbeat*20)
	love.graphics.setColor(1,1,0)			-- highlight level under cursor
            love.graphics.draw(sphere,(-50+x*50),(-50+y*50),0,0.1)
            love.graphics.setColor(1,1,1)
            love.graphics.print (' '..-x+64, (x-1)*tileSize, (y-1)*tileSize,0,1)
	 end
	 
	 function drawcoralreefsphere(x,y)
	love.graphics.setFont(poorfishsmall)
	love.graphics.print (zonetext[6],500, 850,0,1) 
	love.graphics.setFont(poorfishmiddle)
	love.graphics.print ((x+16) .. '.' ..coralreef5[x-13], 500, 900,0,1)
		love.graphics.setFont(poorfishsmall)
			  love.graphics.setColor(0.5,0.5,0)
              love.graphics.circle("line",(-25+x*50),(-25+y*50),20+subbeat*20)
	love.graphics.setColor(1,1,0)			-- highlight level under cursor
            love.graphics.draw(sphere,(-50+x*50),(-50+y*50),0,0.1)
            love.graphics.setColor(1,1,1)
            love.graphics.print (' '..x+16, (x-1)*tileSize, (y-1)*tileSize,0,1)
	 end
	 
	 	function drawtreasurecavesphere(x,y)
	love.graphics.setFont(poorfishsmall)
	love.graphics.print (zonetext[7],500, 850,0,1) 
			love.graphics.setFont(poorfishmiddle)
	love.graphics.print ((x+45) .. '.' ..treasurecave6[x-13], 500, 900,0,1)
		love.graphics.setFont(poorfishsmall)
				love.graphics.setColor(0.5,0.5,0)
              love.graphics.circle("line",(-25+x*50),(-25+y*50),20+subbeat*20)
	love.graphics.setColor(1,1,0)			-- highlight level under cursor
            love.graphics.draw(sphere,(-50+x*50),(-50+y*50),0,0.1)
            love.graphics.setColor(1,1,1)
            love.graphics.print (' '..x+45, (x-1)*tileSize, (y-1)*tileSize,0,1)
	 end
	 
	 function drawdumpsphere(x,y)
	love.graphics.setFont(poorfishsmall)
	love.graphics.print (zonetext[8],500, 850,0,1) 
		love.graphics.setFont(poorfishmiddle)
	 love.graphics.print ((y+28) .. ' ' ..dump7[y-9],500,900,0,1)
	 love.graphics.setFont(poorfishsmall)
	  		love.graphics.setColor(0.5,0.5,0)
              love.graphics.circle("line",(-25+x*50),(-25+y*50),20+subbeat*20)
	  	love.graphics.setColor(1,1,0)			-- highlight level under cursor
            love.graphics.draw(sphere,600,-50+y*50,0,0.1)
            love.graphics.setColor(1,1,1)
            love.graphics.print (' '..y+28, (x-1)*tileSize, (y-1)*tileSize,0,1)
		 end
		 
		 function drawsecretcomputersphere(x,y)
	love.graphics.setFont(poorfishsmall)
	love.graphics.print (zonetext[9],500, 850,0,1) 
	love.graphics.setFont(poorfishmiddle)
	love.graphics.print ((x+51) .. '.' ..secretcomputer8[x-13], 500, 900,0,1)
	 love.graphics.setFont(poorfishsmall)
		love.graphics.setColor(0.5,0.5,0)
              love.graphics.circle("line",(-25+x*50),(-25+y*50),20+subbeat*20)
	love.graphics.setColor(1,1,0)			-- highlight level under cursor
            love.graphics.draw(sphere,(-50+x*50),(-50+y*50),0,0.1)
            love.graphics.setColor(1,1,1)
            love.graphics.print (' '..x+51, (x-1)*tileSize, (y-1)*tileSize,0,1)
	end
	
	function drawsecretsphere(x,y)
	love.graphics.setFont(poorfishsmall)
	love.graphics.print (zonetext[10],500, 850,0,1) 
		love.graphics.setFont(poorfishmiddle) 
	love.graphics.print ((-x+83) .. '.' ..secret9[(-x+13)], 500, 900,0,1)
	love.graphics.setFont(poorfishsmall)
	love.graphics.setColor(0.5,0.5,0)
              love.graphics.circle("line",(-25+x*50),(-25+y*50),20+subbeat*20)
	love.graphics.setColor(1,1,0)			-- highlight level under cursor
            love.graphics.draw(sphere,(-50+x*50),(-50+y*50),0,0.1)
            love.graphics.setColor(1,1,1)
            love.graphics.print (' '..-x+83, (x-1)*tileSize, (y-1)*tileSize,0,1.2)
	end


--buttons

local function isButtonHovered (button)
	local font = button.font or love.graphics.getFont( )
	local width = font:getWidth(button.text)
	local height = font:getHeight( )
	local sx, sy = button.sx or 1, button.sy or button.sx or 1
	local x, y = button.x, button.y
	local w, h = width*sx, height*sy
	local mx, my = love.mouse.getPosition()
	if mx >= x and mx <= x+w
		and my >= y and my <= y+h then
		button.w, button.h = w, h
		return true
	end
	return false
end

local function drawButton (button, hovered,text)
	
	
	--love.graphics.setFont( button.font )
	  love.graphics.setFont(poorfishmiddle)
	if hovered then
		love.graphics.setColor(button.hoveredColor)
		love.graphics.rectangle ('line', button.x, button.y, button.w, button.h)
	else
		love.graphics.setColor(button.color)
	end
	love.graphics.print(text,button.x,button.y,button.r,button.sx)
end



function leveldraw()


	local mx, my = love.mouse.getPosition()
	tileSize = 51
	local x = math.floor(mx/tileSize)+1
	local y = math.floor(my/tileSize)+1
	--print ("mx" .. mx)
	--print ("my" .. my)
		 
love.graphics.setFont( poorfishsmall )
        for i=1, 8, 1 do		-- 0. Alien world 				()
			love.graphics.setColor(0,1,0)
            love.graphics.draw(sphere,600,i*50,0,0.1)
            love.graphics.setColor(0,0,0)
            love.graphics.print(i,620,10+i*50,0,1)
            love.graphics.setColor(1,1,1)
             --dream:draw(yourObject, (x - 25) , -y+13, -14)
                --love.graphics.rectangle('fill',(x - 1) * cellWidth, (y - 1) * cellHeight,cellSize,cellSize)
        --shadows
        newBody = Body:new(newLightWorld)
		newBody:SetPosition(320+i*2*1, 310)
		CircleShadow:new(newBody, 300+i*50*1, 310, 16)  
        end
     
        if x==13 then love.graphics.setColor(1,1,0)		--highlight level under cursor
            love.graphics.draw(sphere,600,-50+y*50,0,0.1)
            love.graphics.setColor(1,1,1)
			end
        

 
        
        				



    
	--love.graphics.draw(levelmap,500,300,0,1)
	--level 1-8			0. fish house
	if x>12 and x<14 and y>1 and y<10 then 
	    	   
        if y==2 and levelac1.open==true or y==3 and levelac2.open==true or y==4 and levelac3.open==true or y==5 and levelac4.open==true or y==6 and levelac5.open==true or y==7 and levelac6.open==true or y==8 and levelac7.open==true or y==9 and levelac8.open==true then 
        drawfishhousesphere(x,y) end
		        
      love.graphics.setFont(poorfishsmall)
            love.graphics.print (' '..y-1, (x-1)*tileSize, (y-1)*tileSize,0,1)
            
            
		if love.mouse.isDown(1) then
		if soundon==true then TEsound.play("externalassets/sounds/GUI_Sound_Effects/GUI_Sound_Effects_030.ogg","static") end
		love.timer.sleep( 0.5 )
		if y==2 and levelac1.open==true or y==3 and levelac2.open==true or y==4 and levelac3.open==true or y==5 and levelac4.open==true or y==6 and levelac5.open==true or y==7 and levelac6.open==true or y==8 and levelac7.open==true or y==9 and levelac8.open==true then
		nLevel=y-2+110 print(nLevel) changelevel_alienzone() gamestatus="game" end
		

		end
	end
	               --shadows
    if x>10 and x<16 and y>0 and y<12 then
        for i=1, 8, 1 do
			newBody = Body:new(newLightWorld)
			newBody:SetPosition(620, i*2*1)
			CircleShadow:new(newBody, 0, 20+i*50*1, 16)
		end
		else
		-- Clean up
			newBody:Remove()
			CircleShadow:Remove()
	end
		

	
			--level 1-8	0. Alien world
	
	if (x>12 and x<14 and y>1 and y<10) then 
		newLight:SetColor(255, 255, 0, 100)

	
	else newLight:SetColor(0, 255, 0, 100)
	end


	--exit
	local hovered = isButtonHovered (exitButton)
	drawButton (exitButton, hovered,exittext)
	
	if hovered and love.mouse.isDown(1) then 
			if soundon==true then TEsound.play("externalassets/sounds/GUI_Sound_Effects/GUI_Sound_Effects_021.ogg","static")
				love.timer.sleep( 0.5 )
				love.event.quit()
			end
	end
	
		--Music player
		
			local hovered = isButtonHovered (musicButton)
	drawButton (musicButton, hovered,musictext)
	
	if hovered and love.mouse.isDown(1) then 
		if soundon==true then gui21:play() end
		if love.mouse.isDown(1) then 
			if soundon==true then TEsound.play("externalassets/sounds/GUI_Sound_Effects/GUI_Sound_Effects_021.ogg","static")
				  music:stop()
				love.timer.sleep( 0.5 )
				gamestatus="music"
			end
		end
	end
	
			--Options
		
		local hovered = isButtonHovered (optionsButton)
	drawButton (optionsButton, hovered,optionstext)

	if hovered and love.mouse.isDown(1) then 
		if soundon==true then gui21:play() end
			if love.mouse.isDown(1) then 
			if soundon==true then TEsound.play("externalassets/sounds/GUI_Sound_Effects/GUI_Sound_Effects_030.ogg","static")
			  music:stop()
				gamestatus="options" 
			end
		end
	end
	
	
			--Credits

		local hovered = isButtonHovered (creditsButton)
	drawButton (creditsButton, hovered,creditstext)

	if hovered and love.mouse.isDown(1) then 
		if soundon==true then gui21:play() end
			if love.mouse.isDown(1) then
				if soundon==true then TEsound.play("externalassets/sounds/GUI_Sound_Effects/GUI_Sound_Effects_021.ogg","static") 
					--play music
				love.timer.sleep( 0.2 )
					love.audio.stop() music:stop()
					if musicison==true then Vaporware = love.audio.newSource("externalassets/music/pixelsphere/003_Vaporwareloop.ogg","stream" ) end
					if musicison==true then love.timer.sleep( 0.5 ) love.audio.play( Vaporware ) end
				gamestatus="credits" 
			end
		end
	end
	
	
	-- Level editor
		
		local hovered = isButtonHovered (leditorButton)
	drawButton (leditorButton, hovered,leditortext)

	if hovered and love.mouse.isDown(1) then 
		if soundon==true then gui21:play() end
			if love.mouse.isDown(1) then 
			if soundon==true then TEsound.play("externalassets/sounds/GUI_Sound_Effects/GUI_Sound_Effects_030.ogg","static")
			  music:stop()
				gamestatus="leditor"
			end
		end
	end	
	
	
	-- extras
		
		local hovered = isButtonHovered (extrasButton)
	drawButton (extrasButton, hovered,extrastext)

	if hovered and love.mouse.isDown(1) then 
		if soundon==true then gui21:play() end
			if love.mouse.isDown(1) then 
			if soundon==true then TEsound.play("externalassets/sounds/GUI_Sound_Effects/GUI_Sound_Effects_030.ogg","static")
			  music:stop()
				gamestatus="extras" 
			end
		end
	end	
	
	
	love.graphics.setFont(font1)
	--love.graphics.print (x..' '..y, (x-1)*tileSize, (y-2)*tileSize)
	
	
end
