
require ("game/mainfunctions/globalvariables")
require ("lib/tesound")
--timer = require ("lib/hump.timer")

    require("assets/loadassets")
    require("assets/loadexternalassets")

--livecode = require ("livecode")
--local http = require "socket.http"
--moonvox = require ('lib/moonvox/main')

levelmenu = require ('game/levelmenu')			-- load level selection menu

optionsmenu = require ('game/optionsmenu')		-- Load options menu
optionsload()
extrasmenu = require ('game/extras')			-- Load extras menu

leditormenu = require ('game/leditor')			-- Load level editor

creditsmenu = require ('game/credits')			-- Load credits menu
creditsload()

--urutora:load()							

function love.load()


--require("assets/text/terminalinstructionstext")
--Terminal = require ("lib/lv100/terminal")
--require ("lib/lv100/main")
--loadinstructions()

require ("shadows/myshadows")
myshadowsload()

--require ("lib/lovebpm/main")



require("/game/mainfunctions/achievements")

	love.window.setMode(1920, 1080, {resizable=true, borderless=false})

require ('/game/mainfunctions/createcanvas')  -- Canvas
require ('/game/mainfunctions/changeresolution')  -- Resolution change
require ('/game/mainfunctions/keyinput')  -- key input
--require ('/lib/ShakeDetector/myshakedetector')  -- shake detector
--shakeload()

local level = require ('game/levels/level-1')	-- load first level
levelload()

if android==false then
	--require ("game/levels/3dlevel")		--3DreamEngine graphics

--Slab = require ('Slab')							-- Load Slab GUI
--SlabTest = require ('lib/slab/SlabTest')
end		

pb = require ('game/logic/push-blocks')			-- load game logic


	

	  touchinterfaceison=false
	
	
	
	require("game/levels/changelevel")
	
	require("game/levels/loadlevelmusic")
	require("game/levels/loadlevelsounds")
	require("game/levels/loadlevelassets")
	require("game/levels/loadsubtitles")
	require("game/levels/loadvoices")
	require("game/levels/loadleveltitle")
	
Talkies = require ("lib/talkies/talkies")				--Load dialogs library
Obey = require("lib/talkies/example/other")				--Functions that render the dialogs
require("game/dialogs/subtitlessync1")
stepdone=0

love.window.setVSync(false)


--shaders = require "shaders"				-- Shadertoy shaders
--selectshadertoy("shader/underwater.glsl")

-- moonshine shaders
moonshine = require 'assets/shaders/moonshine'
--moonshine shaders parameters
effect = moonshine(moonshine.effects.scanlines).chain(moonshine.effects.crt).chain(moonshine.effects.glow).chain(moonshine.effects.filmgrain)
	effect.enable("scanlines","crt","glow","filmgrain")
	--effect.enable("scanlines","crt")
	effect.disable("godsray")

		effect.scanlines.opacity=0.1
		effect.glow.min_luma = 1
		effect.filmgrain.size=0.5
		effect.filmgrain.opacity=1

--moonshine shaders parameters 2
--[[
effect = moonshine(moonshine.effects.glow)
	effect.enable("glow")
	--effect.enable("scanlines","crt")
	effect.disable("godsray")

		--effect.scanlines.opacity=0.1
		effect.glow.min_luma = 10
		--effect.filmgrain.size=0.5
		--effect.filmgrain.opacity=1
--]]
--waterwarp shader
waterwarp = require 'shaders/waterwarp'	--warp effect intensity 10
waterwarp2 = require 'shaders/waterwarp2' --warp effect intensity 15
waterwarp3 = require 'shaders/waterwarp3' --warp effect #vec2(2, 2) // / 12;
waterwarp4 = require 'shaders/waterwarp4' --warp effect vec2(1, 20) // / 12;

require ("assets/text/help")


	local ddwidth, ddheight = love.window.getDesktopDimensions( display )
	width, height = love.graphics.getDimensions( )


    screenoptions=false
 
    --debug game states
    --gamestatus="assets"						-- There are possible values: levelselection, options,credits,assets and game
		gamestatus="levelselection"

	nLevel = 1
	pb:load (level)							-- load level from the game logic
  
  
    require ("game/levels/drawborders")		-- Wall borders and other contour highlight
	loadwallborder() 						--load borders for the canvas
	--loadLevel()							--load level for the canvas
	
	createcanvas()
	love.mouse.setVisible(true) 			-- make default mouse invisible


end


function love.update(dt)

--timer.update(dt)									--update timer	
	if gamestatus=="credits" then creditsupdate(dt)		--update credits
shader2=false

elseif gamestatus=="music" then musicupdate(dt)		--update music
	if cdplaying==true then equalizerupdate(dt) end
--equalizerupdate(dt)
--elseif gamestatus=="options" then
--shader2=false
elseif gamestatus=="extras" then extrasupdate(dt)		--update extras
--elseif gamestatus=="leditor" then leditorupdate(dt)		--update level editor
elseif gamestatus=="game" then						--update game
--lovebpmupdate(dt)

shader2=true
shakeupdate(dt)

     if talkies==true then							--update dialogs
		Talkies.update(dt)
	end
if dt > 0.05 then dt = 0.05 end
	
--update resource loader
  if threeD==true and android==false then								--Update 3d graphics from 3DreamEngine
	--dream:update()
  end

if tetris==true then blocksupdate(dt) end -- update tetris

elseif gamestatus=="assets" then
shader2=false
term:update(dt)
elseif gamestatus=="instructions" then
 instructionsupdate(dt)
 elseif gamestatus=="intro" then
 introupdate(dt)
 elseif gamestatus=="record" then
 recordupdate(dt)
  elseif gamestatus=="briefcasemssage" then
  briefcaseupdate(dt)
end
if gamestatus=="levelselection" then
	
	myshadowsupdate()
	--lovebpmupdate(dt)
end

end

--function testprint(dt)
--print("x")
--end

function love.draw(dt)
--print(timer)

--print(nLevel)
--print(nLevel)
--print(lightswitchon)
--print(mirrorpositionx)
--print(stepdone)

--print(nLevel)
--timer.every(10, testprint());
if gamestatus=="game" then
--  music:on("beat", function(n) print("beat:", n) end)
  -- 3d background
  --lovebpmdraw()
  --shakedraw()
  if threeD==true and android==false then
  threeDdraw()												--Draw 3d graphics if enabled
end

  if shader1==true and shader2==false then					-- Draw first shader if enabled (Moonshine)
			love.graphics.setShader()
		
    effect(function()
    drawallcontent()    		
            drawforshader2()
				--push:start()
					--love.graphics.setColor(0.146, 0.73, 0.73)
					if palette==1 then love.graphics.setColor(cs1bck) 
				elseif palette==2 then love.graphics.setColor(cs2bck)
				elseif palette==3 then love.graphics.setColor(cs3bck)
				elseif palette==4 then love.graphics.setColor(cs4bck) 
				elseif palette==5 then love.graphics.setColor(cs5bck)
				elseif palette==6 then love.graphics.setColor(cs6bck)
				elseif palette==7 then love.graphics.setColor(cs7bck)
				end
					--love.graphics.rectangle('fill', 000, 0,1920, 1080)
					--love.graphics.setColor(1,1,1)
					
	  --if leveleditor==true then									--Draw 3d Level and background editor if enabled
		--level editor  
		--essencedraw()
	--end

			if talkies==true then
			Talkies.draw() end

		end)
	end
	if shader1==true and shader2==true then					-- Draw two shaders if enabled
		effect(function()
	
		--drawallcontent()
		drawallcontent()
	
				love.graphics.setShader(shader)
		drawforshader2()
							if talkies==true and shader1==false then				--Draw Dialogs if enabled
								Talkies.draw()
							end
				love.graphics.setShader()
			end)
	end
	if shader1==false and shader2==true then				--Draw second shader if enabled (shadertoy)
	
			--love.graphics.rectangle('fill', 0, 0,1920, 680)

			drawallcontent()
		love.graphics.setShader(shader)
    drawforshader2()
		love.graphics.setShader()
	
	end	
	if shader1==false and shader2==false then				-- If both shaders are disabled
	  drawforshader2()
		if screensaver==false then
				if palette==7 then
				love.graphics.setColor(0,0,0)
				else
				--love.graphics.setColor(0.146, 0.73, 0.73)
      end
       
				--love.graphics.rectangle('fill', 000, 0,1920, 1080)
				--love.graphics.setColor(1,1,1)

		end

				drawallcontent()							--render all content
 
	end
	
	  if talkies==true and shader1==false then				--Draw Dialogs if enabled
	  Talkies.draw()
	end

  elseif gamestatus=="levelselection" then					-- Level selection menu
      	shader2=false
      	myshadowsdraw(dt)
      	--lovebpmdraw()
      	leveldraw()
  elseif gamestatus=="music" then							-- Music menu
		musicdraw(dt)
		if cdplaying==true then equalizerdraw(dt) end
  elseif gamestatus=="extras" then							-- Extras menu
      	extrasdraw(dt) 
      	if cdplaying==true then equalizerdraw(dt) end
  elseif gamestatus=="leditor" then							-- Level editor
      	leditordraw(dt)
  elseif gamestatus=="options" then							-- Options menu
      	optionsdraw(dt)
  elseif gamestatus=="credits" then							-- Credits menu
      	creditsdraw(dt)
  elseif gamestatus=="assets" then							-- Assets menu
  assetsmenudraw()
  elseif gamestatus=="instructions" then					-- Instructions
  instructionsdraw()
   elseif gamestatus=="intro" then
   introdraw(dt)
   elseif gamestatus=="record" then
    recorddraw()
    elseif gamestatus=="briefcasemessage" then
    briefcasedraw(dt)
    Talkies.draw()
    --elseif gamestatus=="tetris" then
    --blocksdraw(dt)
  end


end

function animatewhale(dt)

	if whaleframe>0 and whaleframe<1 then love.graphics.draw (level1whale1, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>1 and whaleframe<2 then love.graphics.draw (level1whale2, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>2 and whaleframe<3 then love.graphics.draw (level1whale3, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>3 and whaleframe<4 then love.graphics.draw (level1whale4, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>4 and whaleframe<5 then love.graphics.draw (level1whale5, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>5 and whaleframe<6 then love.graphics.draw (level1whale6, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>6 and whaleframe<7 then love.graphics.draw (level1whale7, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>7 and whaleframe<8 then love.graphics.draw (level1whale8, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>8 and whaleframe<9 then love.graphics.draw (level1whale9, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>9 and whaleframe<10 then love.graphics.draw (level1whale10, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>10 and whaleframe<11 then love.graphics.draw (level1whale11, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>11 and whaleframe<12 then love.graphics.draw (level1whale12, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>12 and whaleframe<13 then love.graphics.draw (level1whale13, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>13 and whaleframe<14 then love.graphics.draw (level1whale14, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>14 and whaleframe<15 then love.graphics.draw (level1whale15, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>15 and whaleframe<16 then love.graphics.draw (level1whale16, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>16 and whaleframe<17 then love.graphics.draw (level1whale17, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>17 and whaleframe<18 then love.graphics.draw (level1whale18, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>18 and whaleframe<19 then love.graphics.draw (level1whale19, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>19 and whaleframe<20 then love.graphics.draw (level1whale20, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>20 and whaleframe<21 then love.graphics.draw (level1whale21, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>21 and whaleframe<22 then love.graphics.draw (level1whale22, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>22 and whaleframe<23 then love.graphics.draw (level1whale23, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>23 and whaleframe<24 then love.graphics.draw (level1whale24, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>24 and whaleframe<25 then love.graphics.draw (level1whale25, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>25 and whaleframe<26 then love.graphics.draw (level1whale26, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>26 and whaleframe<27 then love.graphics.draw (level1whale27, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>27 and whaleframe<28 then love.graphics.draw (level1whale28, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>28 and whaleframe<29 then love.graphics.draw (level1whale29, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>29 and whaleframe<30 then love.graphics.draw (level1whale30, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>30 and whaleframe<31 then love.graphics.draw (level1whale31, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>31 and whaleframe<32 then love.graphics.draw (level1whale32, whalepositionx,whalepositiony,0,whalescalex,whalescaley)
elseif whaleframe>32 then whaleframe=1

	if whaledirection=="right" then
				if nLevel==1 and whalepositionx>500 then whaledirection="left" whalescalex=-0.6 
				whalecalllow:setEffect('myEffect')
				
		elseif nLevel==34 and whalepositionx>1900 then whaledirection="left" whalescalex=-1 whalepositionx=1800 whalepositiony=300
				whalecalllow:setEffect('myEffect')
				
		elseif nLevel==35 and whalepositionx>1900 then whaledirection="left" whalescalex=-1 whalepositionx=1800 whalepositiony=400
				whalecalllow:setEffect('myEffect')
				
		elseif nLevel==36 and whalepositionx>1900 then whaledirection="left" whalescalex=-1 whalepositionx=1800 whalepositiony=500
				whalecalllow:setEffect('myEffect')
				
		end
	elseif whaledirection=="left" then
		 if nLevel==1 and whalepositionx<-300 then whaledirection="right" whalescalex=0.6
				
				
	 elseif nLevel==34 and whalepositionx<-300 then whaledirection="right" whalescalex=1 whalepositiony=200
				
				
	 elseif nLevel==35 and whalepositionx<-300 then whaledirection="right" whalescalex=1 whalepositiony=300
				
				
	 elseif nLevel==36 and whalepositionx<-300 then whaledirection="right" whalescalex=1 whalepositiony=400
				
				
	 end
	end
end
end

function animatefishs(dt)
	if nLevel==30 or nLevel==31 or nLevel==32 then love.graphics.setColor(1,0,0,1) end
		love.graphics.draw (fishs1, fishs1positionx+200,fishs1positiony-300,0,fishs1scalex,fishs1scaley)
		love.graphics.draw (fishs2, fishs2positionx,fishs2positiony-300,0,fishs2scalex,fishs2scaley)

			if nLevel==3 or nLevel==7 or nLevel==21 or nLevel==34 or nLevel==35 or nLevel==36 or nLevel==101 or nLevel==102 or nLevel==103 then
					if fishs1direction=="right" and fishs1positionx>1500 then fishs1direction="left"  fishs1positiony=500 fishs1scalex=-0.6 fishs2scalex=-0.6 
				elseif fishs1direction=="left"  and fishs1positionx<300  then fishs1direction="right" fishs1positiony=600 fishs1scalex= 0.6 fishs2scalex= 0.6
				end
			end
			if nLevel==30 or nLevel==31 or nLevel==32 then
					if fishs1direction=="right" and fishs1positionx>700 then fishs1direction="left"  fishs1positiony=500 fishs1scalex=-0.6 fishs2scalex=-0.6 if nLevel==31 then fishs1scalex=-1.2 fishs2scalex=-1.2 elseif nLevel==32 then fishs1scalex=-1.8 fishs2scalex=-1.8 end
				elseif fishs1direction=="left"  and fishs1positionx<100 then fishs1direction="right" fishs1positiony=600 fishs1scalex= 0.6 fishs2scalex= 0.6 if nLevel==31 then fishs1scalex= 1.2 fishs2scalex= 1.2 elseif nLevel==32 then fishs1scalex= 1.8 fishs2scalex= 1.8 end
			end
	end

end

function animateffish1(dt)

	love.graphics.draw (ffish1, ffish1positionx,ffish1positiony,0,ffish1scalex,ffish1scaley)
	
	if ffish1direction=="right" then
				if nLevel==3  and ffish1positionx>1500  then ffish1direction="left" ffish1positiony=500 ffish1scalex=-0.6
			elseif nLevel==101  and ffish1positionx>1500  then ffish1direction="left" ffish1positiony=500 ffish1scalex=-0.6
			elseif nLevel==32 and ffish1positionx>1200 then ffish1direction="left" ffish1positiony=500 ffish1scalex=-0.4
				--whalecalllow:setEffect('myEffect')
				--
			end
	elseif ffish1direction=="left" then
				if nLevel==3 and ffish1positionx<300 then ffish1direction="right" ffish1positiony=400 ffish1scalex=0.6
			elseif nLevel==101 and ffish1positionx<300 then ffish1direction="right" ffish1positiony=400 ffish1scalex=0.6
			elseif nLevel==32 and ffish1positionx>100 then ffish1direction="left" ffish1positiony=300 ffish1scalex=0.4
				--
				--
			end
	end
end

function ffish1update(dt)
	if ffish1direction=="right" then
	ffish1positionx = ffish1positionx + (ffish1speed * dt)  -- ffish1position will increase by 32 for every second
	elseif ffish1direction=="left" then
	ffish1positionx = ffish1positionx - (ffish1speed * dt)  -- ffish1position will increase by 32 for every second
	end
end

function fishsupdate(dt)
	if fishs1direction=="right" then
	fishs1positionx = fishs1positionx + (fishs1speed * dt)  -- ffish1position will increase by 32 for every second
	fishs2positionx = fishs2positionx + (fishs2speed * dt)  -- ffish1position will increase by 32 for every second
	elseif fishs1direction=="left" then
	fishs1positionx = fishs1positionx - (fishs1speed * dt)  -- ffish1position will increase by 32 for every second
	fishs2positionx = fishs2positionx - (fishs2speed * dt)  -- ffish1position will increase by 32 for every second
	end
end

function whaleupdate(dt)
	if whaledirection=="right" then
	whalepositionx = whalepositionx + (whalespeed * dt)  -- whaleposition will increase by 32 for every second
	elseif whaledirection=="left" then
	whalepositionx = whalepositionx - (whalespeed * dt)  -- whaleposition will increase by 32 for every second
	end
	whaleframe = whaleframe + 0.01
end

function squirrelupdate(dt)
	squirrelframe=squirrelframe +1*dt
	if squirrelframe>0.49 then 
		squirrelframe=0 
	end
	washmachinedrumframe=washmachinedrumframe +1*dt
	if washmachinedrumframe>360 then washmachinedrumframe=0 end
end

function assignfrgbck()

scolor1={1,1,1,0.95} scolor2={1,1,1,0.8} scolor3={1,1,1,1} scolor4={1,1,1,0.85} expx=1 expy=1 currentbck=false currentbck2=false currentbck3=false currentbck4=false currentfrg=false currentfrg2=false
	if nLevel==1 then  currentbck=level1bck   currentbck2=level1bck2 currentbck4=whale 			currentfrg=level1frg currentfrg2=level1frg2			scolor1={1,1,1,0.95} scolor2={1,1,1,0.8}  scolor3={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==2 then  currentbck=false 	    currentbck2=smask 		  currentfrg=level2frg 												scolor1={1,1,1,0.95} scolor2={1,1,1,0.90} scolor3={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==3 then  currentbck=level3bck   currentbck2=level3bck2 currentbck3=false 			currentfrg=level3frg  						scolor1={1,1,1,0.85} scolor2={1,1,1,0.90} scolor3={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==4 then  currentbck=level4bck1  currentbck2=level4bck2 currentfrg=level4frg1  										 		scolor1={1,1,1,0.95} scolor2={1,1,1,0.85} scolor3={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=-14
elseif nLevel==5 then  currentbck=level5bck   currentbck2=level5bck2 currentfrg=level5frg   	currentbck3=level5bck3						scolor1={1,1,1,0.85} scolor2={1,1,1,0.95} scolor3={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==6 then  currentbck=level6bck   currentbck2=level6bck2 currentfrg=level6frg 													scolor1={1,1,1,0.95} scolor2={1,1,1,0.85} scolor3={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==7 then  currentbck=level7bck   currentbck2=level7bck2 currentbck3=level7bck3 currentfrg=level7frg currentfrg2=level7frg2  	scolor1={1,1,1,0.85} scolor2={1,1,1,0.95} scolor3={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0

elseif nLevel==8 then  currentbck=level8bck  currentbck2=level8bck2  currentfrg=level8frg		 											scolor1={1,1,1,0.95} scolor2={1,1,1,0.85} scolor3={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=95
elseif nLevel==9 then  currentbck=level9bck  currentbck2=level9bck2  currentfrg=level9frg 													scolor1={1,1,1,0.95}  scolor2={1,1,1,0.85} scolor3={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==10 then currentbck=Underwater_Mountains currentbck2=false currentfrg=false													scolor1={1,1,1,0.85} scolor2={1,1,1,0.95} scolor3={1,1,1,1} expx=1 expy=1 bckx=-10 bcky=-50 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==11 then currentbck=level11bck2 currentbck2=UnderwaterBGBlank currentfrg=foreground11 										scolor1={1,1,1,0.85} scolor2={1,1,1,0.85} scolor3={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0

elseif nLevel==12 then currentbck=false 		 currentbck2=false 			 currentfrg=level12frg 											scolor1={1,1,1,1} 	 scolor2={1,1,1,0.60} scolor3={1,1,1,1} expx=0.5 expy=0.5 bckx=100 bcky=0 bck2x=0 bck2y=-50 frgx=0 frgy=0
elseif nLevel==13 then currentbck=level13bck currentbck2=false			 currentfrg=level13frg 												scolor1={1,1,1,1} 	 scolor2={1,1,1,0.60} scolor3={1,1,1,0.85} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=-50 frgx=0 frgy=0
elseif nLevel==15 then currentbck=level15bck currentbck2=level15bck2 currentbck3=level15bck3 currentbck4=level15bck4 currentfrg=level15frg currentfrg2=level15frg2 scolor1={1,1,1,1}	scolor2={1,1,1,0.95} scolor3={1,1,1,0.90} scolor4={1,1,1,0.95} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0

elseif nLevel==17 then currentbck=level17bck currentbck2=level17bck2 currentbck3=level17bck3 currentfrg=level17frg													scolor1={1,1,1,0.95} scolor2={1,1,1,0.85} scolor3={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==18 then currentbck=Underwater_Mountains currentbck2=false currentfrg=false 													scolor1={1,1,1,0.85} scolor2={1,1,1,0.95} scolor3={1,1,1,1} expx=1 expy=1 bckx=-10 bcky=-50 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==20 then currentbck=level20bck currentbck2=level20bck2 currentbck3=level20bck3 currentfrg=level20frg 							scolor1={1,1,1,0.85} scolor2={1,1,1,0.80} scolor3={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==21 then currentbck=underwater_fantasy1 currentbck2=underwater_fantasy2 currentbck3=false currentfrg=level21frg 				scolor1={1,1,1,0.95} scolor2={1,1,1,0.8}  scolor3={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
--elseif nLevel==21 then currentbck=underwater_fantasy1 currentbck2=level21screensaver1 currentbck3=level21screensaver2 currentfrg=level21frg scolor1={1,1,1,0.95} scolor2={1,1,1,0.5} scolor3={1,1,1,1} scolor4={1,1,1,0.9} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=-200 frgx=0 frgy=0
elseif nLevel==22 then currentbck=false 		 currentbck2=level22bck2 currentfrg=level22frg 												scolor1={1,1,1,1} 	 scolor2={1,1,1,1}	  scolor3={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0

elseif nLevel==23 then currentbck=level23bck2 currentbck2=level23bck currentbck3=level23bck3 currentfrg=level23frg 							scolor1={1,1,1,0.85} scolor2={1,1,1,1} 		scolor3={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==24 then currentbck=false currentbck2=false currentfrg=level24frg 															scolor1={1,1,1,0.85} scolor2={1,1,1,1} 		scolor3={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==25 then currentbck=level25bck currentbck2=level25bck2 currentfrg=level25frg 															scolor1={1,1,1,0.85} scolor2={1,1,1,0.85} 		scolor3={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==26 then currentbck=false currentbck2=false currentfrg=level26frg 															scolor1={1,1,1,0.85} scolor2={1,1,1,1} 		scolor3={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==27 then currentbck=false currentbck2=false currentfrg=level27frg 															scolor1={1,1,1,0.85} scolor2={1,1,1,1} 		scolor3={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==28 then currentbck=level28bck currentbck2=level28bck2 currentbck3=level28bck3 currentfrg=level28frg 							scolor1={1,1,1,0.90} scolor2={1,1,1,0.90} scolor3={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==30 then currentbck=level30bck currentbck2=level30bck2 currentfrg=level30frg 																									scolor1={1,1,1,0.95} scolor2={1,1,1,0.95} scolor3={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==31 then currentbck=level31bck currentbck2=level31bck2 currentbck3=level31bck3 currentfrg=level31frg 							scolor1={1,1,1,0.95} scolor2={1,1,1,0.95} scolor3={1,1,1,1} scolor4={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==32 then currentbck=level32bck currentbck2=level32bck2 currentfrg=level32frg 																									scolor1={1,1,1,0.95}scolor2={1,1,1,0.95}  scolor3={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==33 then currentbck=level33bck currentbck2=level33bck2 currentfrg=level33frg   currentfrg2=level33frg2 						scolor1={1,1,1,0.85} scolor2={1,1,1,0.90} scolor3={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0

elseif nLevel==34 then currentbck=level34bck currentbck2=level34bck2 currentfrg=level34frg   currentfrg2=level34frg2 						scolor1={1,0.65,0.8,0.85} scolor2={1,0.65,0.8,0.80} scolor3={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==35 then currentbck=level35bck currentbck2=level35bck2 currentbck3=level35bck3 currentfrg=level35frg 							scolor1={1,1,1,0.85} scolor2={1,1,1,0.90} scolor3={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==36 then currentbck=level36bck currentbck2=level36bck2 currentbck3=level36bck3 currentfrg=level36frg 							scolor1={1,1,1,0.85} scolor2={1,1,1,0.90} scolor3={1,1,1,1} scolor4={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==37 then currentbck=level37creature currentbck2=level37bck currentbck3=level37bck2 currentfrg=level37frg currentfrg2=level37frg2 scolor1={1,0.65,0.8,0.95} scolor2={1,1,1,0.90} scolor3={1,1,1,1} scolor4={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0

elseif nLevel==45 then currentbck=false currentbck2=false currentbck3=false currentfrg=level45frg currentfrg2=false 						scolor1={1,0.65,0.8,0.95} scolor2={1,1,1,0.90} scolor3={1,1,1,1} scolor4={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==46 then currentbck=false currentbck2=false currentbck3=false currentfrg=level46frg currentfrg2=false 						scolor1={1,0.65,0.8,0.95} scolor2={1,1,1,0.90} scolor3={1,1,1,1} scolor4={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==49 then currentbck=false currentbck2=false currentbck3=false currentfrg=level49frg currentfrg2=false 						scolor1={1,0.65,0.8,0.95} scolor2={1,1,1,0.90} scolor3={1,1,1,1} scolor4={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==50 then currentbck=false currentbck2=false currentbck3=false currentfrg=level50frg currentfrg2=false 						scolor1={1,0.65,0.8,0.95} scolor2={1,1,1,0.90} scolor3={1,1,1,1} scolor4={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0

elseif nLevel==52 then currentbck=false 		 currentbck2=level52frg2 currentbck3=false 			currentfrg=level52frg 					scolor3={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==53 then currentbck=level53bck currentbck2=false currentbck3=false currentfrg=level53frg 										scolor1={1,0.65,0.8,0.90} scolor2={1,1,1,0.90} scolor3={1,1,1,1} scolor4={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==54 then currentbck=level54bck currentbck2=level54bck2 currentfrg=level54frg currentfrg2=level54frg2 							scolor1={1,1,1,1} scolor2={1,1,1,0.90} scolor3={1,1,1,1} scolor4={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==55 then currentbck=false 		 currentbck2=false currentbck3=false currentfrg=level55frg 									scolor1={1,0.65,0.8,0.90} scolor2={1,1,1,0.90} scolor3={1,1,1,1} scolor4={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==56 then currentbck=false 		 currentbck2=false currentbck3=false currentfrg=level56frg 									scolor1={1,0.65,0.8,0.90} scolor2={1,1,1,0.90} scolor3={1,1,1,1} scolor4={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==57 then currentbck=level57bck currentbck2=false currentbck3=false currentfrg=level57frg 										scolor1={1,0.65,0.8,0.85} scolor2={1,1,1,0.90} scolor3={1,1,1,1} scolor4={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==58 then currentbck=false 		 currentbck2=false currentbck3=false currentfrg=level58frg 									scolor1={1,0.65,0.8,0.90} scolor2={1,1,1,0.90} scolor3={1,1,1,1} scolor4={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==59 then currentbck=level59bck currentbck2=false currentbck3=false currentfrg=level59frg 										scolor1={1,0.65,0.8,0.90} scolor2={1,1,1,0.90} scolor3={1,1,1,1} scolor4={1,1,1,1} expx=1 expy=1 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==60 then currentbck=level60bck currentbck2=false currentbck3=false currentfrg=level60frg 										scolor1={1,0.65,0.8,0.90} scolor2={1,1,1,0.90} scolor3={1,1,1,1} scolor4={1,1,1,1} expx=1 expy=1 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==61 then currentbck=level61bck currentfrg2=level61frg2 currentbck3=false currentfrg=level61frg 								scolor1={1,0.65,0.8,0.90} scolor2={1,1,1,0.90} scolor3={1,1,1,1} scolor4={1,1,1,1} expx=1 expy=1 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0

--screensavers

elseif nLevel==101 then currentbck=level3bck currentbck2=level3bck2 currentbck3=false currentfrg=false  									scolor1={1,1,1,0.85} 	  scolor2={1,1,1,0.90} scolor3={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==102 then currentbck=underwater_fantasy1 currentbck2=level21screensaver1 currentbck3=level21screensaver2 currentfrg=false 	scolor1={1,1,1,0.95} 	  scolor2={1,1,1,0.5}  scolor3={1,1,1,1} scolor4={1,1,1,0.9} expx=0.5 expy=0.5 bckx=0 bcky=210 bck2x=0 bck2y=0 frgx=0 frgy=0
elseif nLevel==103 then currentbck=level34bck currentbck2=level34bck2 currentfrg=false currentfrg2=level34frg2 	scolor1={1,0.65,0.8,0.85}   scolor2={1,0.65,0.8,0.80} scolor3={1,1,1,1} expx=0.5 expy=0.5 bckx=0 bcky=0 bck2x=0 bck2y=0 frgx=0 frgy=0
end
end

function drawforshader2()
assignfrgbck()

if background=="yes" and palette==1 then

		if nLevel==1 then love.graphics.setColor(1,1,1,0.75) animatewhale()
	elseif nLevel==3 or nLevel==101 then love.graphics.setColor(1,1,1,0.85) animateffish1()
	elseif nLevel==34 or nLevel==103 then love.graphics.setColor(1,1,1,0.85) love.graphics.setColor(1,1,1,0.85) animatewhale() 
	elseif nLevel==35 then love.graphics.setColor(1,1,1,0.85) animatewhale()
	--elseif nLevel==36 then love.graphics.setColor(1,1,1,0.85) animatewhale() 
	elseif nLevel==102 or nLevel==103 then animatefishs()
	end	-- animate the whale
--print(beat)

			if not currentbck4==false then
				if nLevel==15 then
					if beat<50 then mybeat=beat
						love.graphics.setColor(beat*10,beat/50,beat/25,0.85)
					else love.graphics.setColor(scolor3)
					end
				end
				love.graphics.draw (currentbck4, bckx,bcky,0,expx/dividx,expy/dividy)
			end
	
			if not currentbck3==false then
			love.graphics.setColor(scolor4)
				if nLevel==15 then
					if beat<50 then mybeat=beat
						love.graphics.setColor(beat*10,beat/50,beat/25,0.85)
					else love.graphics.setColor(scolor4)
					end
				end
				if nLevel==36 then love.graphics.setColor(1,1,1,0.85) animatewhale() end
				love.graphics.draw (currentbck3, bck2x,bck2y,0,expx/dividx,expy/dividy)
			end
			if not currentbck2==false then
				love.graphics.setColor(scolor2)
				if nLevel==15 then
					if beat<50 then mybeat=beat
						love.graphics.setColor(beat/15,beat/15,beat/15,0.85)
					else love.graphics.setColor(scolor2)
					end
					elseif nLevel==17 or nLevel==102 then
						--water warp shader
						love.graphics.setCanvas(canvas)
						warpshader4:send("time", timer)
						love.graphics.setShader(warpshader4)
						love.graphics.setCanvas()
				end
					
					if nLevel==54 and enginepushed then
							love.graphics.setColor(1/subbeat/2,0,0,1)
						love.graphics.draw (currentbck2, frgx+math.random(0,2),frgy+math.random(0,2),0,expx/dividx,expy/dividy)
					else
				love.graphics.draw (currentbck2, bck2x,bck2y,0,expx/dividx,expy/dividy)
					end
				--No power animation
				if nLevel==15 then
					love.graphics.setColor(subbeat*3,subbeat*3,subbeat*3,1)
					love.graphics.draw (level15nopower, bck2x,bck2y,0,expx/dividx,expy/dividy)
				end
			end
			if nLevel==32 then animatefishs() animateffish1() end
		if nLevel==7 or nLevel==30 or nLevel==31 or nLevel==34 or nLevel==35 or nLevel==36 then animatefishs() end
		
		--tetris
		if tetris==true then blocksdraw(dt) end
		
			if not currentbck==false then
				love.graphics.setColor(scolor1)
				
				if nLevel==8 then
					--water warp shader
						love.graphics.setCanvas(canvas)
						warpshader2:send("time", timer)
						love.graphics.setShader(warpshader2)
						love.graphics.setCanvas()
						
						love.graphics.draw (currentbck, bckx,bcky,0,expx/dividx,expy/dividy)
				end
				if nLevel==5 or nLevel==7 or nLevel==15 or nLevel==17 or nLevel==21 or nLevel==25 or nLevel==30 or nLevel==31 or nLevel==32 or nLevel==35 or nLevel==36 or nLevel==37 or nLevel==57 or nLevel==102 then
					--water warp shader
						love.graphics.setCanvas(canvas)
						warpshader3:send("time", timer)
						love.graphics.setShader(warpshader3)
						love.graphics.setCanvas()
						love.graphics.draw (currentbck, bckx,bcky,0,expx/dividx,expy/dividy)
				end
				
					if nLevel==20 then
						if beat<50 then mybeat=beat
							love.graphics.setColor(beat/80,beat/20,beat/25,0.85)
						else love.graphics.setColor(scolor1)
						end
					end
						if nLevel==34 then
						if beat<50 then mybeat=beat
							love.graphics.setColor(beat/15,beat/25,beat*5,0.85)
						else love.graphics.setColor(scolor1)
						end
					end
					
					if nLevel==54 and enginepushed then
						love.graphics.setColor(subbeat,0,0,1)
					end
		
				if nLevel==55 and pipepushed==true then
						love.graphics.setColor(1,subbeat-0.8,subbeat-0.8,1)
				end
		
			love.graphics.draw (currentbck, bckx,bcky,0,expx/dividx,expy/dividy)
	 			love.graphics.setShader()
			end
							if nLevel==3 or nLevel==21 or nLevel==101 then love.graphics.setColor(1,1,1,0.85) animatefishs() end
			

			
			if not currentbck3==false then
				love.graphics.setColor(scolor4)
				if nLevel==20 then
					if beat>50 then
					--water warp shader
						love.graphics.setCanvas(canvas)
						warpshader3:send("time", timer)
						love.graphics.setShader(warpshader3)
						love.graphics.setCanvas()
						love.graphics.draw (currentbck3, bckx,bcky,0,expx/dividx,expy/dividy)
						love.graphics.setShader()
					end

				elseif nLevel==23 or nLevel==28 then
				--water warp shader
						love.graphics.setCanvas(canvas)
						warpshader3:send("time", timer)
						love.graphics.setShader(warpshader3)
						love.graphics.setCanvas()
						love.graphics.draw (currentbck3, bckx,bcky,0,expx/dividx,expy/dividy)
						love.graphics.setShader()
				end				
			end	
			

			
			if not currentfrg==false then
				love.graphics.setColor(scolor3)
					if nLevel==15 or nLevel==20 or nLevel==52 then
						if beat<50 then mybeat=beat
							love.graphics.setColor(beat/40,beat/30,beat/40,0.85)
						else love.graphics.setColor(scolor3)
						end
					end
					if nLevel==26 then
					--if beat<10 then mybeat=beat
						--love.graphics.setColor(beat/15,beat/15,beat/15,0.85)
						mybeat=beat
						if (math.fmod(beat,2) ==0) then 
							love.graphics.setColor(math.random(0,1),math.random(0,1),math.random(0,1))
						else
							love.graphics.setColor(0.5,0.5,0.5)
						end
					--print(beat)
					end
					
					if nLevel==33 then
					--water warp shader
						love.graphics.setCanvas(canvas)
						warpshader3:send("time", timer)
						love.graphics.setShader(warpshader3)
						love.graphics.setCanvas()
					end
					
					if nLevel==34 then
						if beat<50 then mybeat=beat
							love.graphics.setColor(beat/10,beat/12,beat*5,0.85)
						else love.graphics.setColor(scolor1)
						end
					end
					
				if nLevel==55 and pipepushed==true then love.graphics.setColor(1/subbeat/3+0.35,0,0,1) end
					if nLevel==56 then
							if lightswitchon==false then love.graphics.setColor(0,0,0,0)
						elseif lightswitchon==true and lightswitchpushedafterfalling==false then love.graphics.setColor(1/subbeat/3.2,0.8,0.8,1) 
						elseif lightswitchon==true and lightswitchpushedafterfalling==true then love.graphics.setColor(1/subbeat/3.2,0.4,0.4,1)
						end
					end
						
					if nLevel==61 then
						if beat<50 then mybeat=beat
							love.graphics.setColor(beat/40,beat/30,0,0.4)
						else love.graphics.setColor(1,1,0,0.4)
						end
					end
				love.graphics.draw (currentfrg, frgx,frgy,0,expx/dividx,expy/dividy)
				
				if nLevel==33 then love.graphics.setShader() end
				
				if nLevel==52 then
							love.graphics.setColor(subbeat*3,subbeat*3,subbeat*3,0.2)
							love.graphics.draw (currentbck2, bck2x,bck2y,0,expx/dividx,expy/dividy)
				end
				
			
					if nLevel==54 and enginepushed then
						love.graphics.setColor(1/subbeat/3,0,0,1)
						love.graphics.draw (currentfrg, frgx+math.random(0,2),frgy+math.random(0,2),0,expx/dividx,expy/dividy)
					end

				

			end

end
	



				love.graphics.setColor(0.146, 0.73, 0.73)
				love.graphics.rectangle('fill', 000, 0,1920, 1080)
pb:drawMap ()

			pb:drawBlocks ()


    if playerscells=="yes" then
		pb:drawAgents ()
    end
    
    if not currentfrg2==false then
    		love.graphics.setColor(scolor3)
    			if not currentfrg2==false then
				if nLevel==34 then
						if beat<50 then mybeat=beat
							love.graphics.setColor(beat/20,beat/24,beat*7,0.85)
						else love.graphics.setColor(scolor3)
						end
				elseif nLevel==15 then
					if beat<50 then mybeat=beat
						love.graphics.setColor(beat*10,beat/50,beat/25,0.85)
					else love.graphics.setColor(scolor3)
					end
				elseif nLevel==54 and not (enginepushed) then
						love.graphics.setColor(subbeat*5,subbeat*5,subbeat*3,0.5)
						love.graphics.draw (currentfrg2, bck2x,bck2y,0,expx/dividx,expy/dividy)
				elseif nLevel==54 and enginepushed then
						love.graphics.setColor(subbeat*5,0,0,1)
						love.graphics.draw (currentfrg2, bck2x,bck2y,0,expx/dividx,expy/dividy)

				end
			end
			
		--water warp shader
			love.graphics.setCanvas(canvas)
			if nLevel==15 then
			warpshader2:send("time", timer)
			love.graphics.setShader(warpshader2)
			elseif nLevel==1 or nLevel==34 or nLevel==103 then
			warpshader:send("time", timer)
			love.graphics.setShader(warpshader)
			end
			love.graphics.setCanvas()
			love.graphics.draw (currentfrg2, frgx,frgy,0,expx/dividx,expy/dividy)
	end
	
      
end

function drawallcontent()


			love.graphics.setColor(edgescolor)

	 if threeD==true then
			draw3dborders()
			end
			--love.graphics.setColor(1,1,1)

		
	
			--if threeD==true and leveleditor==false then 									-- Draw 3d graphics if enabled
				--dream:present()
			--end
			if objectscells=="yes" and shader2==false then				-- if objects enabled in debug mode draw them
			
			pb:drawBlocks ()
		
		end
		if playerscells=="yes" and shader2==false then				-- if players enabled in debug mode draw them
			pb:drawAgents ()
		end
		if debugmode=="yes" then 									-- If debug mode enabled draw
		pb:drawBackgroundGrid()

			
		end	
		
		
    
    if debugmode=="yes" and livereloaded=="yes" then				--If livemode is enabled you can update code by saving and click key -r-
			love.graphics.draw(reload,130,550)
			love.graphics.print("main.lua reloaded, press -r- to close this info",180,560)
	end
	--if love.keyboard.isScancodeDown("r") then livereloaded="no" end
    

	

end		







